From 8bbd9e2426f09805b5ec52ae61b2a75d57f87bc4 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 26 2024 18:28:32 +0000
Subject: [PATCH 137/220] stuff


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index d30f639..8ea036b 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -43,8 +43,7 @@ URL:            https://github.com/pop-os/cosmic-applibrary
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-app-library-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 70fbb4e..46e6058 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -39,8 +39,7 @@ URL:            https://github.com/pop-os/cosmic-applets
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-applets-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 38075e8..c258102 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -33,8 +33,7 @@ URL:            https://github.com/pop-os/cosmic-bg
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-bg-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index e94a000..b10f3f2 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -44,8 +44,7 @@ URL:            https://github.com/pop-os/cosmic-comp
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-comp-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index dd642e3..babd0d4 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -47,8 +47,7 @@ URL:            https://github.com/pop-os/cosmic-edit
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-edit-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 6304fa3..90d4da9 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -46,8 +46,7 @@ URL:            https://github.com/pop-os/cosmic-files
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-files-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index b00654e..34fe92b 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -40,8 +40,7 @@ URL:            https://github.com/pop-os/cosmic-greeter
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-greeter-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-icons/cosmic-icons.spec b/rpms/cosmic-icons/cosmic-icons.spec
index 7a5690f..a728461 100644
--- a/rpms/cosmic-icons/cosmic-icons.spec
+++ b/rpms/cosmic-icons/cosmic-icons.spec
@@ -36,6 +36,7 @@ Requires:       pop-icon-theme
 just rootdir=%{buildroot} install
 
 %files
+%dir %{_datadir}/icons/Cosmic
 %{_datadir}/icons/Cosmic/scalable/*
 %{_datadir}/icons/Cosmic/index.theme
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 06114cc..28e657d 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -46,8 +46,7 @@ URL:            https://github.com/pop-os/cosmic-launcher
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-launcher-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index a1595c0..a8845ca 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -41,8 +41,7 @@ URL:            https://github.com/pop-os/cosmic-notifications
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-notifications-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 7b323c9..9e680fa 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -44,8 +44,7 @@ URL:            https://github.com/pop-os/cosmic-osd
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-osd-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 22085c5..33c7131 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -38,8 +38,7 @@ URL:            https://github.com/pop-os/cosmic-panel
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-panel-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index e32c70f..b9e7100 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -30,8 +30,7 @@ URL:            https://github.com/pop-os/cosmic-randr
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-randr-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 4cfdb03..598272e 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -34,8 +34,7 @@ URL:            https://github.com/pop-os/cosmic-screenshot
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-screenshot-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 88d4175..abe5bd0 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -38,8 +38,7 @@ URL:            https://github.com/pop-os/cosmic-session
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-session-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index b9d4b74..579938b 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -43,8 +43,7 @@ URL:            https://github.com/pop-os/cosmic-settings-daemon
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-daemon-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 5889951..a58c32c 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -44,8 +44,7 @@ URL:            https://github.com/pop-os/cosmic-settings
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index f57ba76..15c3708 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -42,8 +42,7 @@ URL:            https://github.com/pop-os/cosmic-store
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-store-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index cfaa46e..64748d9 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -46,8 +46,7 @@ URL:            https://github.com/pop-os/cosmic-term
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-term-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 535eef6..25cb23c 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -44,8 +44,7 @@ URL:            https://github.com/pop-os/cosmic-workspaces-epoch
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-workspaces-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 5dd19b2..38a3c14 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -39,8 +39,7 @@ URL:            https://github.com/pop-os/launcher
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         pop-launcher-%{commit}.tar.xz
 # To create the vendor tarball:
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index f50a3ae..fa931cb 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -44,8 +44,7 @@ URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
 # To create these sources:
 # * git clone the repository
 # * cargo vendor > .vendor/config.toml
-# * tar -pcJf $name-$commit-vendor.tar.xz and move
-#     the tar out of the repo directory
+# * rm -rf vendor
 # * tar -pcJf $name-$commit.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{commit}.tar.xz
 # To create the vendor tarball:

